Bug 265461 - Keyboard shortcuts for quick tiling to upper or lower corners
Summary: Keyboard shortcuts for quick tiling to upper or lower corners
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-04 22:17 UTC by Eskil Andersen
Modified: 2011-02-08 15:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eskil Andersen 2011-02-04 22:17:15 UTC
Version:           unspecified (using KDE 4.6.0) 
OS:                Linux

I've noticed that you can tile your windows to the upper and lower left and right corners, however there is no keyboard shortcut that I can use that accomplishes this. I would like if these shortcuts were added to the system settings manager.

Reproducible: Didn't try
Comment 1 Martin Flöser 2011-02-07 19:22:33 UTC
Git commit 797e15d3aa1b6c7ba9205911529435a2cf1f51bc by Martin Gr����lin.
Committed on 07/02/11 at 19:19.
Pushed by graesslin into branch 'master'.

Add shortcuts for new quick tile modes.

Shortcuts for quick tile to the quarters of the screen
added in 4.6.
Thanks to Arthur Arlt for implementing this feature.
FEATURE: 265461
FIXED-IN: 4.7.0
CCMAIL: arre2000@gmx.de

M  +8    -0    kwin/kwinbindings.cpp     
M  +32   -0    kwin/placement.cpp     
M  +4    -0    kwin/workspace.h     

http://commits.kde.org/kde-workspace/797e15d3aa1b6c7ba9205911529435a2cf1f51bc
Comment 2 Eskil Andersen 2011-02-08 15:57:06 UTC
Thanks Arthur!